﻿<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Library</OutputType>
		<TargetFramework>net6.0</TargetFramework>
		<RootNamespace>MRTSharp</RootNamespace>
		<AssemblyName>MRTSharp</AssemblyName>
		<Authors>Lorenzo Ariemma; Mariano Scazzariello; Tommaso Caiazzi</Authors>
		<PackageProjectUrl>https://gitlab.com/uniroma3/compunet/networks/mrtsharp</PackageProjectUrl>
		<GeneratePackageOnBuild>true</GeneratePackageOnBuild>
		<Company>Roma Tre University</Company>
		<Description>Fast multi-threaded MRT parser library.</Description>
		<PackageLicenseExpression>MIT</PackageLicenseExpression>
		<RepositoryUrl>https://gitlab.com/uniroma3/compunet/networks/mrtsharp</RepositoryUrl>
		<PackageReadmeFile>README.md</PackageReadmeFile>
		<RepositoryType>git</RepositoryType>
		<PackageTags>Parser;MRT;BGP;BGP4MP</PackageTags>
		<AssemblyVersion>1.0.7.0</AssemblyVersion>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<AllowUnsafeBlocks>false</AllowUnsafeBlocks>
		<Optimize>false</Optimize>
		<NoWarn>1701;1702;IDE0063</NoWarn>
		<PlatformTarget>x64</PlatformTarget>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<AllowUnsafeBlocks>false</AllowUnsafeBlocks>
		<NoWarn>1701;1702;IDE0063</NoWarn>
		<PlatformTarget>x64</PlatformTarget>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="8.0.0" />
		<PackageReference Include="SharpZipLib" Version="1.4.2" />
	</ItemGroup>

	<ItemGroup>
		<AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
			<_Parameter1>$(MSBuildProjectName).Test</_Parameter1>
		</AssemblyAttribute>
	</ItemGroup>

	<ItemGroup>
		<None Include="..\..\README.md" Pack="true" PackagePath="\" />
		<None Include="..\..\LICENSE" Pack="true" PackagePath="\" />
	</ItemGroup>

</Project>
